# Method: accounts.termsOfServiceAgreementStates.retrieveForApplication

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates/retrieveForApplication#try-it)

Retrieves the state of the agreement for the application terms of service.

Application terms of service covers permissions related to the usage of data provided through Merchant Center, CSS Center, Manufacturer Center, and more.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/termsOfServiceAgreementStates:retrieveForApplication`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account for which to get a TermsOfServiceAgreementState Format: `accounts/{account}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.termsOfServiceAgreementStates#TermsOfServiceAgreementState`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).